/* Standard batch*/
:root {
	--primaryColor: #3b4d61;
	--primaryLightColor: #67798e;
	--primaryDarkColor: #112537;
	--secondaryColor: #ef9d10;
	--secondaryLightColor: #ffce4d;
	--secondaryDarkColor: #b76f00;
	--primaryTextColor: #ffffff;
	--secondaryTextColor: #000000;
	--mainBodyColor: #ffffff;
	--overlayBodyColor: #f5f5f6;
	--mainBodyText: #000000;
	--vh: 640px;
}

@font-face {
	font-family: Gidolinya;
	src: url(fonts/Gidolinya-Regular.otf);
}

@font-face {
	font-family: TurretRoad;
	src: url(fonts/TurretRoad-Bold.ttf);
}

@font-face {
	font-family: Aegyptus;
	src: url(fonts/Aegyptus.otf);
}

@font-face {
	font-family: IndieFlower;
	src: url(fonts/IndieFlower-Regular.ttf);
}

html, body {margin: 0; height: 100%; overflow: hidden}

body {
	background: var(--mainBodyColor);
	color: var(--mainBodyText);
}

a:link {
  color: var(--secondaryColor);
  background-color: transparent;
  text-decoration: none;
}
a:visited {
  color: var(--secondaryColor);
  background-color: transparent;
  text-decoration: none;
}
a:hover {
  color: var(--secondaryColor);
  background-color: transparent;
  text-decoration: underline;
}
a:active {
  color: var(--secondaryColor);
  background-color: transparent;
  text-decoration: underline;
}

header {
	height: calc(10 * var(--vh));
	width: 100vw;
	position: relative;
	background: linear-gradient(to bottom right, var(--primaryDarkColor), var(--primaryColor));
	color: var(--primaryTextColor);
	padding: 1px;
}

.overlay-header {
	background: linear-gradient(to bottom right, var(--secondaryDarkColor), var(--secondaryColor));
	color: var(--secondaryTextColor);
}

section {
	height: calc(80 * var(--vh));
	width: 100vw;
	padding: 1px;
}

footer {
	height: calc(10 * var(--vh));
	width: 100vw;
	position: relative;
	background: linear-gradient(to bottom right, var(--primaryColor), var(--primaryLightColor));
	color: var(--primaryTextColor);
	padding: 1px;
}

.overlay-footer {
	background: linear-gradient(to bottom right, var(--secondaryColor), var(--secondaryLightColor));
	color: var(--secondaryTextColor);
}


h1 {
	font-family: Gidolinya;
	font-weight: bolder;
	font-size: 7vmin;
	text-align: center;
	position:absolute;
 	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 80vw;
	margin:0;
	padding:0;
}

h2 {
	font-family: Gidolinya;
	font-weight: bold;
	font-size: 5vmin;
	text-align: center;
	position:absolute;
 	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 80vw;
	margin:0;
	padding:0;
}

.overlay-head-font {
	color: var(--secondaryTextColor);
}

.welcome-message {
	font-family: Gidolinya;
	font-weight: bolder;
	font-size: 6vmin;
	color: var(--mainBodyText);
	padding: 2vmin;
	margin:0;
	text-align: center;
}

button {
  background:none;
  border:none;
  margin:auto;
  padding:1vh 2vw;
  cursor: pointer;
	font-family: Gidolinya;
	font-weight: bolder;
	font-size: 6vmin;
	text-align: center;
	color:inherit;
}

.menu-icon {
	font-size: 6vmin;
	color: var(--secondaryColor);
}

select {
	background: transparent;
  border:none;
  margin:0;
	padding:2vh 2vw;
  cursor: pointer;
	font-family: Gidolinya;
	font-weight: bolder;
	font-size: 5vmin;
	color: var(--mainBodyText);;
	text-align: center;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
  border: 0;
	padding: 2vmin;
}

th{
  text-align: left;
	vertical-align: middle;
  padding: 2vh 2vw;
	font-family: Gidolinya;
	font-weight: bolder;
	font-size: 5vmin;
	background: transparent;
	color: var(--mainBodyText);
}

td {
  text-align: left;
	vertical-align: middle;
  padding: 2vh 2vw;
	font-family: Gidolinya;
	font-weight: normal;
	font-size: 5vmin;
}

tr:nth-child(odd) {
	background: transparent;
	color: var(--mainBodyText);
}

tr:nth-child(even) {
  background-color: var(--secondaryColor);
	color: var(--secondaryTextColor);
}

.simple-table-row:nth-child(even) {
	background-color: inherit;
	color: inherit;
}
.simple-table-row:nth-child(odd) {
	background-color: inherit;
	color: inherit;
}

.image-container {
  width: 100vw;
  height: calc(60 * var(--vh));
  margin: auto;
}
.draw-img {
		display: block;
		height: 100%;
		width: auto;
		max-width: 100%;
		max-height: 100%;
		margin: auto;
}

.caricatures-container {
	width: 100vw;
	height: calc(60 * var(--vh));
  margin: auto;
}

.poster-description {
  width: 90vw;
  height: calc(40 * var(--vh));
  margin: 3vmin;
	text-align: justify;
	font-family: Gidolinya;
 	font-weight: normal;
 	font-size: 4vmin;
 	color: var(--mainBodyText);
}

.caricature-img {
		display:none;
		height: 100%;
		width: auto;
		max-width: 100%;
		max-height: 100%;
		margin: auto;
}
.right-aligned-caricature-button {
	position:absolute;
	right: 10vw;
	bottom: 3vh;
}

.left-aligned-caricature-button {
	position:absolute;
	left: 10vw;
	bottom: 3vh;
}

.video-container {
	width: 100vw;
	height: calc(60 * var(--vh));
  margin: auto;
}

.vid {
	display: block;
	height: 100%;
	width: auto;
	max-width: 100%;
	max-height: 100%;
	margin: auto;
}


.featured-video-container {
	width: 100vw;
	height: calc(50 * var(--vh));
  margin: auto;
	padding-top: 2vh;
	padding-bottom: : 2vh;
}

.featured-vid {
	display: block;
	height: 100%;
	width: auto;
	max-width: 100%;
	max-height: 100%;
	margin: auto;
}


.hieroglyphics-symbol {
	font-family: Aegyptus;
	width: 60vw;
	height: calc(60 * var(--vh));
	margin: auto;
	color: var(--mainBodyText);
	padding-top: 10vh;
	text-align: center;
	word-wrap: break-word;
	overflow-y: scroll;
	line-height: 35vmin;
	font-size: 35vmin;
	border: 2vmin solid var(--secondaryColor);
  border-radius: 4vmin;
}

.hieroglyphics-symbol::-webkit-scrollbar {
  width: 4vw;
}

.hieroglyphics-symbol::-webkit-scrollbar-track {
  box-shadow: inset 0 0 1vmin var(--secondaryLightColor);
  border-radius: 2vmin;
}

.hieroglyphics-symbol::-webkit-scrollbar-thumb {
  background: var(--secondaryDarkColor);
  border-radius: 2vmin;
}



.quote {
	font-family: IndieFlower;
	font-size: 8vmin;
	width: 80vw;
	height: calc(50 * var(--vh));
	margin: auto;
	color: var(--mainBodyText);
	padding-top: 15vh;
	padding-left: 3vw;
	padding-right: 3vw;
	text-align: center;
	overflow-y: scroll;
	border: 2vmin solid var(--secondaryColor);
  border-radius: 4vmin;
}

.quote::-webkit-scrollbar {
  width: 4vw;
}

.quote::-webkit-scrollbar-track {
  box-shadow: inset 0 0 1vmin var(--secondaryLightColor);
  border-radius: 2vmin;
}

.quote::-webkit-scrollbar-thumb {
  background: var(--secondaryDarkColor);
  border-radius: 2vmin;
}

.smaller-font {
	font-size: 4vmin;
}

.scrollable {
	overflow: scroll;
}

.center-aligned-elements{ /* for section */
	position:absolute;
 	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	text-align:center;
	width: 80vw;
}

.explanation {
	text-align: justify;
	font-family: Gidolinya;
 	font-weight: normal;
 	font-size: 6vmin;
 	color: var(--mainBodyText);
 	padding: 3vh 3vw;
}

.emphasize-explanation {
	font-style: bold;
	font-size: 7vmin;
 	color: var(--secondaryColor);
}

.copyrights-text {
	font-size: 5vmin;
 	color: var(--secondaryColor);
	line-height: 1.6;
}



.info-line {
	text-align: justify;
	font-family: Gidolinya;
 	font-weight: normal;
 	font-size: 6vmin;
	color: var(--mainBodyText);
 	padding: 1vh 3vw;
}

.footnote {
	text-align: justify;
	font-family: Gidolinya;
 	font-weight: normal;
 	font-size: 4vmin;
	color: var(--mainBodyText);
 	padding: 1vh 3vw;
}

.title {
	text-align: center;
	font-family: Gidolinya;
 	font-weight: bold;
 	font-size: 6vmin;
	color: var(--mainBodyText);
 	padding: 1vh 3vw;
}


.input-field {
	border: none;
	background: transparent;
	outline: 0;
	font-family: Gidolinya;
	font-weight: normal;
	font-size: 5vmin;
	color: var(--mainBodyText);
	width: 70vw;
	height: 7vh;
	padding: 1vh 3vw;
}

.radio-block {
	width: 70vw;
	/* height: 7vh;*/
	margin: 0 auto;
	/*position: relative;*/
	text-align: left;
}

.radio-circle {
	width: 4vw;
	height: 4vw;
}

.message-font {
	font-family: Gidolinya;
	font-style: normal;
	font-size: 8vmin;
	color: var(--mainBodyText);
	line-height: 9vmin;
}

.right-answer-phrase {
	font-size: 5vmin;
}

.right-answer {
	font-style: bold;
}


.basic-layer { /* has to be used with another class that specifies zindex and color */
	position: fixed;
	width: 100%;
	height: 100%;
	left: -100vw;
	top: 0;
	right: 0;
	bottom: 0;
	opacity: 0.95;
	transition: left 1s;
}

.in-tutorial {
	left:0;
}

.messages-layer {
	background-color: var(--overlayBodyColor);
	z-index: 3;
}

.choices-layer {
	background-color: var(--overlayBodyColor);
	z-index: 2;
}

@keyframes screen-entrance {
  from {opacity: 0; left: -100vw;}
  to {opacity: 0.95; left: 0;}
}

.basic-layer-animated {
	animation-name: screen-entrance;
	animation-duration: 1s;
}


.tutorial-layer { /* has to be used with another class that specifies zindex and color */
	position: fixed;
	width: 100vw;
	height: calc(25 * var(--vh));
	left: 0;
	top: 1vh;
	right: 0;
	bottom: 0;
	opacity: 0.95;
	background-color: var(--secondaryDarkColor);
	z-index: 4;
	animation-name: tutorial-entrance;
	animation-duration: 1s;
}
@keyframes tutorial-entrance {
  from {opacity: 0; left: 100vw;}
  to {opacity: 0.95; left: 0;}
}

.tutorial-message {
	text-align: center;
	font-family: Gidolinya;
	font-style: normal;
	font-size: 5vmin;
	color: var(--secondaryTextColor);
	line-height: 6vmin;
	padding: 1vh 2vw;
}

.tutorial-layer-buttons {
	font-family: Gidolinya;
	font-size: 5vmin;
	color: var(--secondaryTextColor);
}

.right-aligned-tutorial-button {
	position:absolute;
	right: 10vw;
	bottom: 2vh;
}

.left-aligned-tutorial-button {
	position:absolute;
	left: 10vw;
	bottom: 2vh;
}

.center-aligned-tutorial-button {
	position:absolute;
	left: 50%;
  transform: translateX(-50%);
	bottom: 2vh;
	text-align: center;
}

.choice-font {
	font-family: Gidolinya;
	font-style: normal;
	font-size: 8vmin;
}

.choices-layer-buttons { /* did not find anything specific for it for now */
}


#timerDisplay {
	font-family: TurretRoad;
}

#timerDisplay2 {
	font-family: TurretRoad;
}

#mainDisplay {
	position: relative;
	width: 100vw;
	height: calc(70 * var(--vh));
	margin: auto;
	padding: 5vh 0;
}


.value-font {
	font-family: TurretRoad;
	font-weight: normal;
	font-size: 4vmin;
}

.label-font {
	font-family: Gidolinya;
	font-weight: bold;
	font-size: 7vmin;
}

.image-settings {
  display: block;
  margin-left: auto;
  margin-right: auto;
	height: 20vh;
	width: 20vh;
	border-radius: 50%;
}

.image-featured {
  display: block;
  margin-left: auto;
  margin-right: auto;
	height: 15vh;
	width: 15vh;
	border-radius: 50%;
}

.top-logo {
	height: 8vh;
	position:absolute;
 	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 8vh;
	margin:0;
	padding:0;
}

.splash-logo {
	display: block;
  margin-left: auto;
  margin-right: auto;
	height: calc(40 * var(--vh));
	max-width: 80vw;
}

.body-logo {
	display: block;
  margin-left: auto;
  margin-right: auto;
	height: calc(20 * var(--vh));
	max-width: 80vw;
}

.right-aligned-footer-button {
	position:absolute;
	top: 50%;
  transform: translateY(-50%);
	right: 10vw;
}

.left-aligned-footer-button {
	position:absolute;
	top: 50%;
  transform: translateY(-50%);
	left: 10vw;
}

.center-aligned-footer-button {
	position:absolute;
	top: 50%;
	left: 50%;
  transform: translate(-50%, -50%);
	text-align: center;
}


.right-aligned-header {
	position:absolute;
	top: 50%;
  transform: translateY(-50%);
	right: 10vw;
	text-align: center;
}

.left-aligned-header {
	position:absolute;
	top: 50%;
  transform: translateY(-50%);
	left: 10vw;
	text-align: center;
}

.center-aligned-header {
	position:absolute;
	top: 50%;
	left: 50%;
  transform: translate(-50%, -50%);
	text-align: center;
}


.center-aligned {
	text-align: center;
}

.emphasize {
	font-weight: bold;
}

.leaderboard-row {
	height: 20vh;
}

.leaderboard-image {
	display:block;
	height: 12vh;
	width: 12vh;
}

.challenge-image {
	display:block;
	height: 12vh;
	width: 12vh;
}

.rating-thumb {
	width:20vmin;
	height:auto;
}

.rating-row {
	height: 20vh;
	max-height: 100vh;
}

.rating-media {
	width:50vmin;
	height:auto;
}

.waiting-icon {
	font-size: 7vmin;
}

.blinking-secondary{
    animation:blinkingTextsecondary 1.2s infinite;
}

@keyframes blinkingTextsecondary{
    0%{     color: var(--secondaryTextColor);    }
    49%{    color: var(--secondaryTextColor); }
    60%{    color: transparent; }
    99%{    color:transparent;  }
    100%{   color: var(--secondaryTextColor);    }
}

.blinking-primary{
    animation:blinkingTextprimary 1.2s infinite;
}

@keyframes blinkingTextprimary{
    0%{     color: var(--primaryTextColor);    }
    49%{    color: var(--primaryTextColor); }
    60%{    color: transparent; }
    99%{    color:transparent;  }
    100%{   color: var(--primaryTextColor);    }
}

.blinking-main{
    animation:blinkingTextmain 1.2s infinite;
}

@keyframes blinkingTextmain{
    0%{     color: var(--mainBodyText);    }
    49%{    color: var(--mainBodyText); }
    60%{    color: transparent; }
    99%{    color:transparent;  }
    100%{   color: var(--mainBodyText);    }
}

.blinking-icon{
    animation:blinkingIcon 1.2s infinite;
}

@keyframes blinkingIcon{
    0%{     color: var(--secondaryColor);    }
    49%{    color: var(--secondaryColor); }
    60%{    color: transparent; }
    99%{    color:transparent;  }
    100%{   color: var(--secondaryColor);    }
}




.loader{
	-webkit-perspective:80vw;
	perspective: 80vw;
}

.loader>span{
	font-size: 14vmin;
	font-family: Gidolinya;
	display: inline-block;
	animation:flip 2.6s infinite linear;
	transform-origin:0 70%;
	transform-style:preserve-3d;
	-webkit-transform-style:preserve-3d;
}

@keyframes flip{
	35%{
		transform: rotateX(360deg);
	}
	100%{
		transform: rotatex(360deg);
	}
}


.loader>span:nth-child(even){
	color:var(--secondaryColor);
}

.loader>span:nth-child(odd){
	color:var(--primaryColor);
}

.loader>span:nth-child(2){
	animation-delay: 0.3s;
}

.loader>span:nth-child(3){
	animation-delay: 0.6s;
}

.loader>span:nth-child(4){
	animation-delay: 0.9s;
}

.loader>span:nth-child(5){
	animation-delay: 1.2s;
}

.loader>span:nth-child(6){
	animation-delay: 1.5s
}

.loader>span:nth-child(7){
	animation-delay: 1.8s
}
